## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NamespacesHandler::PrefixChecker Class Reference

`#include <NamespacesHandler.hpp>`

List of all members.

## Public Methods

- PrefixChecker ()
- virtual ~PrefixChecker ()
- virtual bool isActive (const XalanDOMString &thePrefix) const=0

## Constructor & Destructor Documentation

NamespacesHandler::PrefixChecker::PrefixChecker ( | )

NamespacesHandler::PrefixChecker::~PrefixChecker ( | )`[virtual]`

## Member Function Documentation

bool NamespacesHandler::PrefixChecker::isActive ( | const XalanDOMString & thePrefix ) const`[pure virtual]`

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.